Bug 459188 - The last frameworks update breaks plasma widget pop-up and notification placement
Summary: The last frameworks update breaks plasma widget pop-up and notification place...
Status: CLOSED FIXED
Alias: None
Product: frameworks-plasma
Classification: Frameworks and Libraries
Component: components (show other bugs)
Version: 5.98.0
Platform: Other Linux
: VHI normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: regression, wayland
: 435690 459834 459945 459949 460221 460481 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-09-15 21:50 UTC by Komorebi
Modified: 2022-10-20 16:44 UTC (History)
26 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.99, the re-spun 5.98, and imminent distro-patched versions of 5.98


Attachments
Screenshot (1.88 MB, image/png)
2022-09-15 21:50 UTC, Komorebi
Details
kickoff bug centered (1.52 MB, image/png)
2022-09-16 15:38 UTC, Enrico
Details
No kwin debug console (1.96 MB, image/png)
2022-09-16 19:07 UTC, Komorebi
Details
kwin debug console (157.35 KB, image/jpeg)
2022-09-16 23:11 UTC, nttkde
Details
centered copy/move dialog (248.32 KB, image/jpeg)
2022-09-17 05:55 UTC, Enrico
Details
start menu and notificate, with patch (3.53 MB, image/png)
2022-09-20 14:21 UTC, Jason Playne
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Komorebi 2022-09-15 21:50:49 UTC
Created attachment 152084 [details]
Screenshot

STEPS TO REPRODUCE
1.  Run plasma width frameworks 5.98
2. Click on any applet

OBSERVED RESULT
Popup is centered

EXPECTED RESULT
Popup opens above plasmoid

Operating System: KDE neon 5.25
KDE Plasma Version: 5.25.5
KDE Frameworks Version: 5.98.0
Qt Version: 5.15.6
Kernel Version: 5.15.0-48-generic (64-bit)
Graphics Platform: Wayland
Processors: 16 × AMD Ryzen 7 5800HS with Radeon Graphics
Memory: 22,9 GiB of RAM
Graphics Processor: AMD RENOIR
Manufacturer: ASUSTeK COMPUTER INC.
Product Name: ROG Zephyrus G14 GA401QE_GA401QE
System Version: 1.0
Comment 1 Komorebi 2022-09-15 21:56:50 UTC
It also moved notifications to center as well.
Comment 2 Komorebi 2022-09-15 22:03:33 UTC
All popups no longer have an animation (when they appear or closed) and also have a taskbar icon. Feels like a mess with window class id or something.
Please let me know if I can provide any useful information. Thank you!
Comment 3 Nate Graham 2022-09-16 00:40:11 UTC
Can't reproduce it myself. Do you have any window rules set? Any non-default options, settings, scripts, plugins, tools, etc?
Comment 4 Komorebi 2022-09-16 01:13:51 UTC
No special settings or tricks, this can be reproduced even with default configuration, i.e. under newly created user. 
I'm not the only person who's affected: https://twitter.com/eastretrogamer/status/1570531825050877952
Comment 5 Komorebi 2022-09-16 01:18:24 UTC
But the issue doesn't exist under Xorg. It's Wayland specific.
Comment 6 Nate Graham 2022-09-16 15:27:50 UTC
Weird, I can't reproduce on Wayland.
Comment 7 Enrico 2022-09-16 15:38:04 UTC
Created attachment 152112 [details]
kickoff bug centered

Hello, I have the same problem as you can see in the attachment. I can't give much more informations because it happened just after the update.

Operating System: KDE neon 5.25
KDE Plasma Version: 5.25.5
KDE Frameworks Version: 5.98.0
Qt Version: 5.15.6
Kernel Version: 5.15.0-46-generic (64-bit)
Graphics Platform: Wayland
Processors: 4 × Intel® Pentium® Silver N5000 CPU @ 1.10GHz
Memory: 7.6 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 605
Manufacturer: Micro-Star International Co., Ltd.
Product Name: Cubi N 8GL (MS-B171)
System Version: 1.1
Comment 8 Komorebi 2022-09-16 15:40:34 UTC
If I can help to debug this please let me know. Unfortunately I'm not expert in Plasma architecture and cpp.
Comment 9 Komorebi 2022-09-16 16:45:37 UTC
At the current moment rearrangement of widgets in panel is also not possible. OSD popups in wrong position and steals keyboard focus.
Plasma menu, notifications and OSD appear in overview and present windows. Kwin definitely do not recognize them as system windows.
Comment 10 ratijas 2022-09-16 17:16:07 UTC
Maybe some screenshots of KWin Debug Console would be helpful here. There is a tree view with all window properties exposed/available to KWin.
Comment 11 Komorebi 2022-09-16 17:29:11 UTC
I'm not sure how do I run it, the only thing I've found is:

qdbus org.kde.KWin /KWin supportInformation
KWin Support Information:
The following information should be used when requesting support on e.g. https://forum.kde.org.
It provides information about the currently running instance, which options are used,
what OpenGL driver and which effects are running.
Please post the information provided underneath this introductory text to a paste bin service
like https://paste.kde.org instead of pasting into support threads.

==========================

Version
=======
KWin version: 5.25.5
Qt Version: 5.15.6
Qt compile version: 5.15.6
XCB compile version: 1.14

Operation Mode: Xwayland

Build Options
=============
KWIN_BUILD_DECORATIONS: yes
KWIN_BUILD_TABBOX: yes
KWIN_BUILD_ACTIVITIES: yes
HAVE_X11_XCB: yes
HAVE_EPOXY_GLX: yes
HAVE_WAYLAND_EGL: yes

X11
===
Vendor: The X.Org Foundation
Vendor Release: 12013000
Protocol Version/Revision: 11/0
SHAPE: yes; Version: 0x11
RANDR: yes; Version: 0x14
DAMAGE: yes; Version: 0x11
Composite: yes; Version: 0x4
RENDER: yes; Version: 0xb
XFIXES: yes; Version: 0x50
SYNC: yes; Version: 0x31
GLX: yes; Version: 0x0

Decoration
==========
Plugin: org.kde.breeze
Theme: 
Plugin recommends border size: None
onAllDesktopsAvailable: true
alphaChannelSupported: true
closeOnDoubleClickOnMenu: false
decorationButtonsLeft: 0
decorationButtonsRight: 9, 3, 4, 5
borderSize: 0
gridUnit: 10
font: Noto Sans,10,-1,0,50,0,0,0,0,0
smallSpacing: 2
largeSpacing: 10

Platform
==========
Name: DRM
Active: true
Atomic Mode Setting on GPU 0: true

Cursor
======
themeName: breeze_cursors
themeSize: 24

Options
=======
focusPolicy: 0
xwaylandCrashPolicy: 
xwaylandMaxCrashCount: 3
nextFocusPrefersMouse: false
clickRaise: true
autoRaise: false
autoRaiseInterval: 0
delayFocusInterval: 0
shadeHover: false
shadeHoverInterval: 250
separateScreenFocus: false
activeMouseScreen: true
placement: 6
focusPolicyIsReasonable: true
borderSnapZone: 10
windowSnapZone: 10
centerSnapZone: 0
snapOnlyWhenOverlapping: false
rollOverDesktops: true
focusStealingPreventionLevel: 1
operationTitlebarDblClick: 5000
operationMaxButtonLeftClick: 5000
operationMaxButtonMiddleClick: 5015
operationMaxButtonRightClick: 5014
commandActiveTitlebar1: 0
commandActiveTitlebar2: 28
commandActiveTitlebar3: 2
commandInactiveTitlebar1: 4
commandInactiveTitlebar2: 28
commandInactiveTitlebar3: 2
commandWindow1: 7
commandWindow2: 8
commandWindow3: 8
commandWindowWheel: 28
commandAll1: 10
commandAll2: 3
commandAll3: 14
keyCmdAllModKey: 16777250
condensedTitle: false
electricBorderMaximize: true
electricBorderTiling: true
electricBorderCornerRatio: 0.25
borderlessMaximizedWindows: false
killPingTimeout: 5000
hideUtilityWindowsForInactive: true
compositingMode: 1
useCompositing: true
hiddenPreviews: 1
glSmoothScale: 2
glStrictBinding: false
glStrictBindingFollowsDriver: true
glPreferBufferSwap: 101
glPlatformInterface: 2
windowsBlockCompositing: true
latencyPolicy: 
renderTimeEstimator: 

Screen Edges
============
desktopSwitching: false
desktopSwitchingMovingClients: false
cursorPushBackDistance: 1x1
timeThreshold: 150
reActivateThreshold: 350
actionTopLeft: 0
actionTop: 0
actionTopRight: 0
actionRight: 0
actionBottomRight: 0
actionBottom: 0
actionBottomLeft: 0
actionLeft: 0

Screens
=======
Multi-Head: no
Active screen follows mouse:  yes
Number of Screens: 1

Screen 0:
---------
Name: eDP-1
Geometry: 0,0,1920x1080
Scale: 1
Refresh Rate: 144000
Adaptive Sync: automatic

Compositing
===========
Compositing is active
Compositing Type: OpenGL
OpenGL vendor string: AMD
OpenGL renderer string: AMD RENOIR (DRM 3.42.0, 5.15.0-48-generic, LLVM 12.0.0)
OpenGL version string: 4.6 (Core Profile) Mesa 21.2.6
OpenGL platform interface: EGL
OpenGL shading language version string: 4.60
Driver: RadeonSI
GPU class: Vega
OpenGL version: 4.6
GLSL version: 4.60
Mesa version: 21.2.6
Linux kernel version: 5.15
Direct rendering: Requires strict binding: no
GLSL shaders:  yes
Texture NPOT support:  yes
Virtual Machine:  no
OpenGL 2 Shaders are used

Loaded Effects:
---------------
colorpicker
blendchanges
screenshot
screenedge
zoom
kwin4_effect_login
kwin4_effect_sessionquit
kwin4_effect_logout
slidingpopups
kwin4_effect_windowaperture
slide
kwin4_effect_fullscreen
kwin4_effect_squash
kwin4_effect_frozenapp
kwin4_effect_morphingpopups
kwin4_effect_maximize
kwin4_effect_scale
kwin4_effect_fadingpopups
sheet
kwin4_effect_dialogparent
desktopgrid
highlightwindow
overview
windowview
blur
contrast
startupfeedback
kscreen
screentransform

Currently Active Effects:
-------------------------
blur
contrast

Effect Settings:
----------------
colorpicker:

blendchanges:

screenshot:

screenedge:

zoom:
zoomFactor: 1.2
mousePointer: 0
mouseTracking: 0
focusTrackingEnabled: false
textCaretTrackingEnabled: false
focusDelay: 350
moveFactor: 20
targetZoom: 1

kwin4_effect_login:
pluginId: kwin4_effect_login
isActiveFullScreenEffect: false

kwin4_effect_sessionquit:
pluginId: kwin4_effect_sessionquit
isActiveFullScreenEffect: false

kwin4_effect_logout:
pluginId: kwin4_effect_logout
isActiveFullScreenEffect: false

slidingpopups:
slideInDuration: 150
slideOutDuration: 250

kwin4_effect_windowaperture:
pluginId: kwin4_effect_windowaperture
isActiveFullScreenEffect: false

slide:
horizontalGap: 45
verticalGap: 20
slideDocks: false
slideBackground: true

kwin4_effect_fullscreen:
pluginId: kwin4_effect_fullscreen
isActiveFullScreenEffect: false

kwin4_effect_squash:
pluginId: kwin4_effect_squash
isActiveFullScreenEffect: false

kwin4_effect_frozenapp:
pluginId: kwin4_effect_frozenapp
isActiveFullScreenEffect: false

kwin4_effect_morphingpopups:
pluginId: kwin4_effect_morphingpopups
isActiveFullScreenEffect: false

kwin4_effect_maximize:
pluginId: kwin4_effect_maximize
isActiveFullScreenEffect: false

kwin4_effect_scale:
pluginId: kwin4_effect_scale
isActiveFullScreenEffect: false

kwin4_effect_fadingpopups:
pluginId: kwin4_effect_fadingpopups
isActiveFullScreenEffect: false

sheet:
duration: 300

kwin4_effect_dialogparent:
pluginId: kwin4_effect_dialogparent
isActiveFullScreenEffect: false

desktopgrid:
gridRows: 2
gridColumns: 2
animationDuration: 200
layout: 1
partialActivationFactor: 0
gestureInProgress: false
showAddRemove: true
desktopNameAlignment: 0
desktopLayoutMode: 1
customLayoutRows: 2

highlightwindow:

overview:
animationDuration: 200
layout: 1
ignoreMinimized: false
blurBackground: true
partialActivationFactor: 0
gestureInProgress: false

windowview:
animationDuration: 200
layout: 1
ignoreMinimized: false
mode: 0
partialActivationFactor: 0
gestureInProgress: false
searchText: 

blur:

contrast:

startupfeedback:
type: 0

kscreen:

screentransform:


Loaded Plugins:
---------------
kwin5_plugin_colord
kwin5_plugin_krunner
kwin5_plugin_nightcolor
kwin5_plugin_screencast

Available Plugins:
------------------
kwin5_plugin_colord
kwin5_plugin_krunner
kwin5_plugin_nightcolor
kwin5_plugin_screencast
Comment 12 Komorebi 2022-09-16 17:33:29 UTC
If you're talking about "plasma-interactiveconsole --kwin", this tool has broken output for years, at least in Neon.
Comment 13 Enrico 2022-09-16 18:15:13 UTC
(In reply to Komorebi from comment #0)
> Created attachment 152084 [details]
> Screenshot


I have 2 other strange behaviors, can you please confirm?

1) Every notification is shown at the center of the screen. Eg. Thunderbird notifications, Neochat Notifications, ...
If you don't have notifications, you can test them from here https://www.kenherbert.dev/browser-notification-tester/

2)  Everytime I press "Start" button to show the kickoff menu, a new icon  appears in the applications bar. I can't rember if this happened also before the update, but it's quite strange IMHO. It seems that kickoff is not recognized as part of the bar, but as an external application
Comment 14 ratijas 2022-09-16 18:53:59 UTC
> If you're talking about "plasma-interactiveconsole --kwin", this tool has broken output for years, at least in Neon.

No, I was specifically referring to the built-in tool called "KWin debug console", which can be launched by searching for "KWin" in KRunner. Interestingly, it can't be found via Application Launcher (Kickoff).
Comment 15 Komorebi 2022-09-16 19:07:42 UTC
Created attachment 152130 [details]
No kwin debug console

I don't have it. Krunner is also placed in a wrong position. Maybe some packages are missing?
Comment 16 Vlad Zahorodnii 2022-09-16 21:11:13 UTC
If you select a different placement policy in system settings, are notifications placed differently?
Comment 17 Komorebi 2022-09-16 21:22:36 UTC
No. I've tried to set custom location for notifications, but it takes no effect.
Comment 18 Vlad Zahorodnii 2022-09-16 21:36:16 UTC
Oh I meant kwin's window placement policy, i.e. system settings / window management / window behavior / advanced tab / window placement checkbox
Comment 19 Komorebi 2022-09-16 21:43:48 UTC
Ah, okay, got it. 
Changing window placement policy to "top left corner" moved my OSD (volume and brightness level popups) there, but everything else including notifications are still appear in the middle.
Comment 20 rrpeak+kdebug 2022-09-16 22:31:12 UTC
Happens with a vertical panel as well. Menu is centered to the panel and appears as an extra icon in the task manager.

Operating System: KDE neon 5.25
KDE Plasma Version: 5.25.5
KDE Frameworks Version: 5.98.0
Qt Version: 5.15.6
Kernel Version: 5.15.0-46-generic (64-bit)
Graphics Platform: Wayland
Processors: 12 × AMD Ryzen 5 3600 6-Core Processor
Memory: 15,6 GiB of RAM
Graphics Processor: Radeon RX 5500 XT
Manufacturer: Gigabyte Technology Co., Ltd.
Product Name: B550 AORUS PRO
Comment 21 nttkde 2022-09-16 23:11:58 UTC
Created attachment 152136 [details]
kwin debug console

Noticed this today after updating my KDE Neon Virtualbox VM. Kickoff appears centered and has a taskbar icon named "Plasma".
I attached a screenshot of the window info that appears in Kwin debug console when I open Kickoff.
Comment 22 Bug Janitor Service 2022-09-16 23:24:19 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kwayland/-/merge_requests/75
Comment 23 Zamundaaa 2022-09-16 23:27:30 UTC
Can someone affected test the MR? It should at least fix the applet popups being wrong, but while the other surfaces being considered applet popups seem wrong to me, it's not unlikely that it's the same bug anyways
Comment 24 Michael Mikowski 2022-09-17 00:05:54 UTC
Could not reproduce pop-up placement issue on 5.24.6 with Frameworks 5.98. Details below:

1. Left and Right-click Kickoff. Pop-up is aligned as expected.
2. alt-space to launch krunner. Placement is top center as expected.
3. Right-click on other icons in panel. Placement is as expected.
4. System Tray: Left-click on plasma-optimus, ibus panel, volume, wifi, klipper, bluetooth, and solaar widgets. All pop-ups are placed as expected.

KDE Plasma 5.24.6
KDE Frameworks 5.98.0
QT Version 5.15.3
Kernel: 5.17.0-1016-oem
Graphics Platform: Wayland

Hardware: i7-1165G7
Memory: 32GB
GPU: Mesa Intel Xe Graphics (96 EU)

Additional system details at https://invent.kde.org/-/snippets/2348
Comment 25 Enrico 2022-09-17 05:38:15 UTC
(In reply to Zamundaaa from comment #23)
> Can someone affected test the MR? It should at least fix the applet popups
> being wrong, but while the other surfaces being considered applet popups
> seem wrong to me, it's not unlikely that it's the same bug anyways

I would like to help, but I really don't know how to test it.
I'm also a bit afraid of breaking the whole system :)
Comment 26 Enrico 2022-09-17 05:55:57 UTC
Created attachment 152138 [details]
centered copy/move dialog

I add this screenshot hoping it can be useful because is a behavior not yet described here. From the desktop I've moved few files in a folder (the blue selection) with drag and drop. The copy/move dialog opened up in the center of the screen (as expected) but i see two other strange behaviors:
1) in the center of the screen there is also a gray rectangle. I don't know what it is, but it always appears when i drag and drop files in the desktop folders. It seems a glitch.
2) the copy/move dialog doesn't appears ALWAYS in the center. I tried to do the same drag and drop few times and sometimes it opened in the center of the screen, sometimes in the top-left corner and sometimes in the correct position.
Comment 27 Enrico 2022-09-18 05:43:42 UTC
Today this problem has automatically fixed for me...

Yesterday I had the misalignment problems and today they are gone. I've not installed any update yesterday, all my APT yesterday history is the following:

Start-Date: 2022-09-17  09:32:42
Commandline: /usr/bin/apt install kmail
Requested-By: enrico (1000)
Install: kio-sieve:amd64 (4:22.08.1-0xneon+20.04+focal+release+build65, automatic), libkf5kontactinterface5:amd64 (22.08.1-0xneon+20.04+focal+release+build41, automatic), libkf5ksieve5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build65, automatic), kdepim-runtime:amd64 (4:22.08.1-0xneon+20.04+focal+release+build80, automatic), libkf5akonadicalendar-data:amd64 (4:22.08.1-0xneon+20.04+focal+release+build77, automatic), accountwizard:amd64 (4:22.08.1-0xneon+20.04+focal+release+build71, automatic), libkf5calendarsupport5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build79, automatic), kdepim-addons:amd64 (22.08.1-0xneon+20.04+focal+release+build78, automatic), libkf5akonadisearchdebug5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build63, automatic), libkf5kmanagesieve5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build65, automatic), libkf5dav5:amd64 (1:5.98.0-0xneon+20.04+focal+release+build73, automatic), libkf5calendarutils5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build56, automatic), libkf5dav-data:amd64 (1:5.98.0-0xneon+20.04+focal+release+build73, automatic), libkf5ksieveui5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build65, automatic), pim-sieve-editor:amd64 (4:22.08.1-0xneon+20.04+focal+release+build63, automatic), pim-data-exporter:amd64 (4:22.08.1-0xneon+20.04+focal+release+build76, automatic), kdepim-themeeditors:amd64 (4:22.08.1-0xneon+20.04+focal+release+build78, automatic), mbox-importer:amd64 (4:22.08.1-0xneon+20.04+focal+release+build78, automatic), libkf5ksieve-data:amd64 (4:22.08.1-0xneon+20.04+focal+release+build65, automatic), libkpimgapicontacts5:amd64 (22.08.1-0xneon+20.04+focal+release+build45, automatic), libkf5eventviews5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build74, automatic), libkpimitinerary-data:amd64 (22.08.1-0xneon+20.04+focal+release+build53, automatic), libsasl2-modules-kdexoauth2:amd64 (22.08.1-0xneon+20.04+focal+release+build45, automatic), kaddressbook:amd64 (4:22.08.1-0xneon+20.04+focal+release+build69, automatic), libkf5eventviews-data:amd64 (4:22.08.1-0xneon+20.04+focal+release+build74, automatic), libkf5akonadicalendar5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build77, automatic), libkf5incidenceeditor5:amd64 (22.08.1-0xneon+20.04+focal+release+build75, automatic), libkpimitinerary5:amd64 (22.08.1-0xneon+20.04+focal+release+build53, automatic), kmail:amd64 (4:22.08.1-0xneon+20.04+focal+release+build80), libkf5tnef5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build57, automatic), libkpimgapitasks5:amd64 (22.08.1-0xneon+20.04+focal+release+build45, automatic), libkgantt2-l10n:amd64 (2.8.0-0xneon+20.04+focal+release+build4, automatic), libphonenumber7:amd64 (7.1.0-5ubuntu11, automatic), libkf5calendarsupport-data:amd64 (4:22.08.1-0xneon+20.04+focal+release+build79, automatic), libkpimgapicalendar5:amd64 (22.08.1-0xneon+20.04+focal+release+build45, automatic), libkgantt2:amd64 (2.8.0-0xneon+20.04+focal+release+build4, automatic), kio-ldap:amd64 (22.08.1-0xneon+20.04+focal+release+build46, automatic), libkf5kontactinterface-data:amd64 (22.08.1-0xneon+20.04+focal+release+build41, automatic), libkf5akonadinotes5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build48, automatic), libkolabxml1v5:amd64 (1.1.6-6ubuntu1, automatic), libetebase0:amd64 (0.5.0-0xneon+20.04+focal+build2, automatic), libkf5mailimporterakonadi5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build65, automatic), libkpimpkpass5:amd64 (22.08.1-0xneon+20.04+focal+release+build42, automatic)
End-Date: 2022-09-17  09:33:26

Start-Date: 2022-09-17  10:54:22
Commandline: /usr/bin/apt purge kmail
Requested-By: enrico (1000)
Purge: kmail:amd64 (4:22.08.1-0xneon+20.04+focal+release+build80)
End-Date: 2022-09-17  10:54:26

Start-Date: 2022-09-17  10:54:34
Commandline: /usr/bin/apt autoremove
Requested-By: enrico (1000)
Remove: kio-sieve:amd64 (4:22.08.1-0xneon+20.04+focal+release+build65), libmpv1:amd64 (0.32.0-1ubuntu1), libkf5kontactinterface5:amd64 (22.08.1-0xneon+20.04+focal+release+build41), libkf5ksieve5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build65), kdepim-runtime:amd64 (4:22.08.1-0xneon+20.04+focal+release+build80), libkf5akonadicalendar-data:amd64 (4:22.08.1-0xneon+20.04+focal+release+build77), accountwizard:amd64 (4:22.08.1-0xneon+20.04+focal+release+build71), libkf5calendarsupport5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build79), kdepim-addons:amd64 (22.08.1-0xneon+20.04+focal+release+build78), libkf5sane5:amd64 (22.08.1-0xneon+20.04+focal+release+build47), libkf5akonadisearchdebug5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build63), libkf5kmanagesieve5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build65), python3-setproctitle:amd64 (1.1.10-1ubuntu1), libkf5dav5:amd64 (1:5.98.0-0xneon+20.04+focal+release+build73), libkf5calendarutils5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build56), libkf5dav-data:amd64 (1:5.98.0-0xneon+20.04+focal+release+build73), libkf5ksieveui5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build65), python3-gi-cairo:amd64 (3.36.0-1), pim-sieve-editor:amd64 (4:22.08.1-0xneon+20.04+focal+release+build63), pim-data-exporter:amd64 (4:22.08.1-0xneon+20.04+focal+release+build76), kdepim-themeeditors:amd64 (4:22.08.1-0xneon+20.04+focal+release+build78), mbox-importer:amd64 (4:22.08.1-0xneon+20.04+focal+release+build78), libkf5ksieve-data:amd64 (4:22.08.1-0xneon+20.04+focal+release+build65), libkpimgapicontacts5:amd64 (22.08.1-0xneon+20.04+focal+release+build45), libkf5eventviews5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build74), libkpimitinerary-data:amd64 (22.08.1-0xneon+20.04+focal+release+build53), libsasl2-modules-kdexoauth2:amd64 (22.08.1-0xneon+20.04+focal+release+build45), python3-imdbpy:amd64 (6.8-2), kaddressbook:amd64 (4:22.08.1-0xneon+20.04+focal+release+build69), libkf5eventviews-data:amd64 (4:22.08.1-0xneon+20.04+focal+release+build74), libkf5akonadicalendar5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build77), libkf5incidenceeditor5:amd64 (22.08.1-0xneon+20.04+focal+release+build75), libkpimitinerary5:amd64 (22.08.1-0xneon+20.04+focal+release+build53), libkf5sane-data:amd64 (22.08.1-0xneon+20.04+focal+release+build47), libkf5tnef5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build57), libkpimgapitasks5:amd64 (22.08.1-0xneon+20.04+focal+release+build45), python3-unidecode:amd64 (1.1.1-3build1), libkgantt2-l10n:amd64 (2.8.0-0xneon+20.04+focal+release+build4), libphonenumber7:amd64 (7.1.0-5ubuntu11), libkf5calendarsupport-data:amd64 (4:22.08.1-0xneon+20.04+focal+release+build79), libkpimgapicalendar5:amd64 (22.08.1-0xneon+20.04+focal+release+build45), libkgantt2:amd64 (2.8.0-0xneon+20.04+focal+release+build4), kio-ldap:amd64 (22.08.1-0xneon+20.04+focal+release+build46), libkf5kontactinterface-data:amd64 (22.08.1-0xneon+20.04+focal+release+build41), libkf5akonadinotes5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build48), libkolabxml1v5:amd64 (1.1.6-6ubuntu1), libetebase0:amd64 (0.5.0-0xneon+20.04+focal+build2), libkf5mailimporterakonadi5:amd64 (4:22.08.1-0xneon+20.04+focal+release+build65), libkpimpkpass5:amd64 (22.08.1-0xneon+20.04+focal+release+build42)
End-Date: 2022-09-17  10:54:50

In the evening I shut down the PC and restarted today. Let me know if you need some more information
Comment 28 daniel 2022-09-18 09:53:17 UTC
I personally have krunner starting in the middle of the screen rather than middle-top as expected. Krunner is correctly set up in the settings.
Also my top panel has misplacement from system tray (i have it on the right side) where everytime i click on "hidden icons" the popup window is right in the middle of the panel and not above the system tray as it suppose to be
Comment 29 Nate Graham 2022-09-18 21:59:10 UTC
For any of you who can reproduce this issue and have the ability to build KDE software from source, can you try building kwayland-framework with https://invent.kde.org/frameworks/kwayland/-/merge_requests/75 applied and see if it fixes it? Thanks all!
Comment 30 Malte S. Stretz 2022-09-19 11:07:30 UTC
I tried the patch and it doesn't seem to fix the issue for me. The error might be on my side of course.

The steps I took are (on Neon):
```
mkdir bug-459188
cd bug-459188

apt-get source libkf5waylandclient5

sudo true && sudo apt-get --assume-no build-dep libkf5waylandclient5 2>/dev/null | grep '^ ' | tr ' ' '\n' | grep -v '^$' > build-dep.txt
sudo apt-get build-dep libkf5waylandclient5

pushd kwayland-5.98.0
curl -L https://invent.kde.org/frameworks/kwayland/-/merge_requests/75.diff | patch -p1
dch -l +hotfix 'Fix KDE bug 459188'
dpkg-buildpackage -rfakeroot -uc -b
popd

sudo dpkg -i libkf5waylandclient5_5.98.0-0xneon+20.04+focal+release+build55+hotfix1_amd64.deb kwayland-data_5.98.0-0xneon+20.04+focal+release+build55+hotfix1_all.deb
sudo apt remove $(<build-dep.txt)
```
Comment 31 Malte S. Stretz 2022-09-19 11:45:25 UTC
BTW: This doesn't seem to be a new issue according to bug 435690 and all its duplicates (especially bug 436067). I can't really say if this was introduced with the recent frameworks update since I didn't use Wayland yet (due to Zoom screen sharing not working) and just toyed around with a Wayland instead of X11 based session today.
Comment 32 Malte S. Stretz 2022-09-19 15:51:39 UTC
I can reproduce this in a VirtualBox VM and verify that either the 5.97 to 5.98 update introduces this issue or some other Neon/Ubuntu change.

I downloaded the latest available ISO neon-user-20220915-1056.iso and installed it in VBox. A Wayland session behaves fine.

The only other change I applied was a
```
sudo apt update
sudo apt install virtualbox-guest-utils-hwe
```
and reconfigured the VGA adapter as described here https://www.reddit.com/r/kde/comments/bp11e8/comment/enrrrgi/

Then I updated via sudo apt full-upgrade and after a restart the Kickoff menu will appear centered.
Comment 33 Jason Playne 2022-09-20 14:19:25 UTC
(In reply to Malte S. Stretz from comment #30)
> I tried the patch and it doesn't seem to fix the issue for me. The error
> might be on my side of course.
> 
> The steps I took are (on Neon):
> ```
> mkdir bug-459188
> cd bug-459188
> 
> apt-get source libkf5waylandclient5
> 
> sudo true && sudo apt-get --assume-no build-dep libkf5waylandclient5
> 2>/dev/null | grep '^ ' | tr ' ' '\n' | grep -v '^$' > build-dep.txt
> sudo apt-get build-dep libkf5waylandclient5
> 
> pushd kwayland-5.98.0
> curl -L https://invent.kde.org/frameworks/kwayland/-/merge_requests/75.diff
> | patch -p1
> dch -l +hotfix 'Fix KDE bug 459188'
> dpkg-buildpackage -rfakeroot -uc -b
> popd
> 
> sudo dpkg -i
> libkf5waylandclient5_5.98.0-0xneon+20.04+focal+release+build55+hotfix1_amd64.
> deb kwayland-data_5.98.0-0xneon+20.04+focal+release+build55+hotfix1_all.deb
> sudo apt remove $(<build-dep.txt)
> ```

Following your instructions I too built the package.

For me the problem persists as well.
Comment 34 Jason Playne 2022-09-20 14:21:42 UTC
Created attachment 152258 [details]
start menu and notificate, with patch
Comment 35 Nate Graham 2022-09-20 19:39:58 UTC
Thanks everyone. The true cause has been found, and it explains why it's not working for you guys. It's being worked on now.
Comment 36 Zamundaaa 2022-09-21 09:47:52 UTC
Just to be sure that it works now, can you test the MR again?
Comment 37 Vlad Zahorodnii 2022-09-21 16:24:49 UTC
Git commit d02188ad1f6222215adcf842f4c9806ba9e62ccb by Vlad Zahorodnii, on behalf of Xaver Hugl.
Committed on 21/09/2022 at 16:20.
Pushed by vladz into branch 'master'.

client/plasmashell: add fallback for applet popups

When the compositor doesn't support applet popups, the current code sends an
invalid surface role. This causes KWin to fall back to the "normal" surface role
and do normal window placement on it.

M  +8    -1    src/client/plasmashell.cpp

https://invent.kde.org/frameworks/kwayland/commit/d02188ad1f6222215adcf842f4c9806ba9e62ccb
Comment 38 Nate Graham 2022-09-21 17:23:19 UTC
^^ That should fix it for people with Plasma 5.25

The fix will officially land in Frameworks 5.99 and we're coordinating to have a re-spin of Frameworks 5.98 released. Even if that doesn't end up happening (but I think it will), distros will be patching this in directly ASAP.
Comment 39 Michael Mikowski 2022-09-21 18:02:40 UTC
(In reply to Nate Graham from comment #38)
> ^^ That should fix it for people with Plasma 5.25
> 
> The fix will officially land in Frameworks 5.99 and we're coordinating to
> have a re-spin of Frameworks 5.98 released. Even if that doesn't end up
> happening (but I think it will), distros will be patching this in directly
> ASAP.

Nate, can you or another confirm if this is or is not recommended for Frameworks 5.98 + Plasma 5.24 LTS? As posted in comment 24, I didn't see any problems with this combination. I tried to copy Rik Mills for Kubuntu, but can't find him on the CC list. He certainly would be interested as that is the current state of Kubuntu + backports.
Comment 40 Nate Graham 2022-09-21 18:24:04 UTC
The issue only affected Plasma 5.25+Frameworks 5.98. The combination of Plasma 5.24+Frameworks 5.98 isn't affected.

Regardless, patching this fix into your 5.98 and then later shipping the re-spun 5.98 is highly recommended!
Comment 41 Michael Mikowski 2022-09-21 19:11:38 UTC
(In reply to Nate Graham from comment #40)
> The issue only affected Plasma 5.25+Frameworks 5.98. The combination of
> Plasma 5.24+Frameworks 5.98 isn't affected.
> 
> Regardless, patching this fix into your 5.98 and then later shipping the
> re-spun 5.98 is highly recommended!

Thanks Nate! I'll pass that along!
Comment 42 Nate Graham 2022-09-22 20:41:57 UTC
*** Bug 459523 has been marked as a duplicate of this bug. ***
Comment 43 Malte S. Stretz 2022-09-26 13:16:54 UTC
On Neon I received an updated kwayland package 4:5.98.0-0xneon+20.04+focal+release+build56 (the previous was build55) which does NOT fix the issue for me. The Debian changelog is not very useful unfortunately.

No wonder, it looks like the (changed) patch still applies cleanly so I am trying to build a hotfix package now.
Comment 44 Malte S. Stretz 2022-09-26 13:33:13 UTC
Rebuilding and installing the packages libkf5waylandclient5 and kwayland-data didn't fix the issue for me either. Am I doing something wrong, am I maybe running into another issue (like that old one), or does the patch not fix the issue?

Shall I reopen this bug or file a new one?
Comment 45 Nate Graham 2022-09-26 16:24:43 UTC
*** Bug 435690 has been marked as a duplicate of this bug. ***
Comment 46 Nate Graham 2022-09-30 09:14:04 UTC
*** Bug 459834 has been marked as a duplicate of this bug. ***
Comment 47 timonoj 2022-10-09 16:57:32 UTC
Still waiting for the update that will fix it for me on KDE Neon. Any news on when is this update coming? Alternatively, how can I patch this myself? It's been about a month with this bug, and it's rather frustrating.
Comment 48 Nate Graham 2022-10-09 20:01:11 UTC
*** Bug 459949 has been marked as a duplicate of this bug. ***
Comment 49 Nate Graham 2022-10-10 01:35:52 UTC
*** Bug 459945 has been marked as a duplicate of this bug. ***
Comment 50 Šimon (Simon) Rataj 2022-10-11 14:25:37 UTC
I’ve just updated to Plasma 5.26 and it’s even worse now, as the widgets are now partly hidden by my Latte panel.
Comment 51 Iyán Méndez Veiga 2022-10-11 14:32:30 UTC
I think the fix is in frameworks 5.99, not plasma 5.26. Did you update frameworks as well?
Comment 52 Nate Graham 2022-10-11 15:05:42 UTC
(In reply to Iyán Méndez Veiga from comment #51)
> I think the fix is in frameworks 5.99, not plasma 5.26. Did you update
> frameworks as well?

^^ That's correct
Comment 53 Nate Graham 2022-10-11 16:40:21 UTC
*** Bug 460221 has been marked as a duplicate of this bug. ***
Comment 54 Enrico 2022-10-11 18:38:50 UTC
I did all the updates on Neon, but still not Framework 5.99. Is there any way to update the Framework to 5.99? without breaking the system :-)
Comment 55 Nate Graham 2022-10-11 18:42:11 UTC
Just wait a day or two. Patience! :)
Comment 56 Enrico 2022-10-11 19:02:38 UTC
(In reply to Nate Graham from comment #55)
> Just wait a day or two. Patience! :)

Yes, of course! Thanks a lot
Comment 57 Nate Graham 2022-10-16 00:23:19 UTC
*** Bug 460481 has been marked as a duplicate of this bug. ***
Comment 58 YOYOWORKOUT 2022-10-20 11:39:52 UTC
Using KDE plasma 5.26.0 with kde framework 5.98 with the same bug here ( build from user edition 20221011-1244 ) on wayland.

KRunner also is screen-centered , even if i set it for top display )
Comment 59 Nate Graham 2022-10-20 13:44:58 UTC
As the "version fixed in" field says, this fix requires Frameworks 5.99.

If you're using a rolling release distro that hasn't shipped Frameworks 5.99 yet despite it having been released 11 days ago, you'll want to direct your communications over there.
Comment 60 Enrico 2022-10-20 15:50:48 UTC
(In reply to Nate Graham from comment #59)
> As the "version fixed in" field says, this fix requires Frameworks 5.99.
> 
> If you're using a rolling release distro that hasn't shipped Frameworks 5.99
> yet despite it having been released 11 days ago, you'll want to direct your
> communications over there.

Sorry to bother you again, but what about KDE Neon? Is it depending on other KDE developers?
I checked the updates now and I'm up to date, but I have frameworks 5.98.
Comment 61 Nate Graham 2022-10-20 15:56:27 UTC
I don't know what's up with KDE Neon. This is an unusually slow update for it.
Comment 62 Enrico 2022-10-20 16:35:51 UTC
(In reply to Nate Graham from comment #61)
> I don't know what's up with KDE Neon. This is an unusually slow update for
> it.

The updates arrived just few minutes ago -.- Now also Neon is fine and the problem is solved.
Comment 63 Nate Graham 2022-10-20 16:37:33 UTC
Finally! Great news.
Comment 64 YOYOWORKOUT 2022-10-20 16:44:30 UTC
(In reply to Nate Graham from comment #59)
> As the "version fixed in" field says, this fix requires Frameworks 5.99.
> 
> If you're using a rolling release distro that hasn't shipped Frameworks 5.99
> yet despite it having been released 11 days ago, you'll want to direct your
> communications over there.

indeed fixed in plasma 5.26.1
thanks for all this work